using GhostSystem;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class ReplaySceneLoader : MonoBehaviour
{
    public GhostReplayManager replayManager;
    private int currentScene;
    public void LoadSceneAdditive(int sceneIndex)
    {
        if(SceneManager.loadedSceneCount > 1)
        {
            SceneManager.UnloadSceneAsync(currentScene);
        }
        SceneManager.LoadSceneAsync(sceneIndex, LoadSceneMode.Additive);
        currentScene = sceneIndex;

        // replayManager.SceneId = SceneManager.GetSceneByBuildIndex(currentScene).name; wird jetzt durch Event der Szene gelöst
    }
}
